Skip to main content
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
integration_links
Get Integration Links
curl --request GET \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/integration_links \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/integration_links"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/integration_links', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "links": [
    {
      "item_id": "M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op",
      "created": "2020-01-01T00:00:00Z",
      "last_successful_sync": "2020-01-01T00:00:00Z",
      "last_updated": "2020-01-01T00:00:00Z",
      "status": "active",
      "status_message": "[ITEM_LOGIN_REQUIRED] the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
      "type": "plaid_assets_report"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

The end_user_id or heron_id of EndUser

Response

200 - application/json

OK